<template>
  <div>
  <div class="cast-card-row">
    <span class="date" v-if="categorie">{{ categorie }}</span>
    <span class="date" v-else>{{ dateActuelle }}</span>
    <div class="main-child">
      <p>{{ meteoActuelle.temperature }}°C</p>
      <img class="icon-128" v-if="temperature== 1" src="../../public/icons/Artboard 2 copy 16.svg"/>
      <img class="icon-128" v-else-if="temperature== 2" src="../../public/icons/Artboard 2 copy 15.svg"/>
      <img class="icon-128" v-else-if="temperature== 3" src="../../public/icons/Artboard 2 copy 14.svg"/>
      <img class="icon-128" v-else-if="temperature== 4" src="../../public/icons/Artboard 2 copy 13.svg"/>
      <div class="cast-stats">
      <span>
        <img class="icon-64" v-if="weather== 1" src="../../public/icons/Artboard 2 copy 1.svg"/>
        <img class="icon-64" v-else-if="weather== 2" src="../../public/icons/Artboard 2 copy 2.svg"/>
        <img class="icon-64" v-else-if="weather== 3" src="../../public/icons/Artboard 2 copy 3.svg"/>
        <img class="icon-64" v-else-if="weather== 4" src="../../public/icons/Artboard 2 copy 4.svg"/>
        <br/>
        Pluie : {{ meteoActuelle.rain }}<br/>
        Nuage : {{ meteoActuelle.cloud }}<br/>
      </span>
      <span>
        <img class="icon-64" v-if="categorieVent== 1" src="../../public/icons/Artboard 2 copy 20.svg"/>
        <img class="icon-64" v-else-if="categorieVent== 2" src="../../public/icons/Artboard 2 copy 19.svg"/>
        <img class="icon-64" v-else-if="categorieVent== 3" src="../../public/icons/Artboard 2 copy 18.svg"/>
        <img class="icon-64" v-else-if="categorieVent== 4" src="../../public/icons/Artboard 2 copy 17.svg"/>
        <br/>
        <div @click="convertWindSpeed()" v-show="wind_speed_type" > {{ meteoActuelle.wind_speed }} <br/>km/h</div>
        <div v-show="wind_speed_type == false" > {{ meteoActuelle.wind_speed }} <br/>km/h</div>

      </span>

      </div>
    </div>
  </div>
<div class="cast-card">
      <span class="date" v-if="categorie">{{ categorie }}</span>
      <span class="date" v-else>{{ dateActuelle }}</span>
    <span class="time">{{ time }}</span>
    <img class="icon-128" v-if="temperature== 1" src="../../public/icons/Artboard 2 copy 16.svg"  />
    <img class="icon-128" v-else-if="temperature== 2" src="../../public/icons/Artboard 2 copy 15.svg"  />
    <img class="icon-128" v-else-if="temperature== 3" src="../../public/icons/Artboard 2 copy 14.svg"  />
    <img class="icon-128" v-else-if="temperature== 4" src="../../public/icons/Artboard 2 copy 13.svg"  />

      <p>{{ meteoActuelle.current_temperature }}°C</p>

      <div class="cast-stats">
      <span>
        <img class="icon-64" v-if="weather== 1" src="../../public/icons/Artboard 2 copy 1.svg"/>
        <img class="icon-64" v-else-if="weather== 2" src="../../public/icons/Artboard 2 copy 2.svg"/>
        <img class="icon-64" v-else-if="weather== 3" src="../../public/icons/Artboard 2 copy 3.svg"/>
        <img class="icon-64" v-else-if="weather== 4" src="../../public/icons/Artboard 2 copy 4.svg"/>
        <br/>
          Pluie : {{ meteoActuelle.rain }}<br/>
          Nuage : {{ meteoActuelle.cloud }}<br/>
        </span>
        <span>
          <img class="icon-64" v-if="categorieVent== 1" src="../../public/icons/Artboard 2 copy 20.svg"/>
          <img class="icon-64" v-else-if="categorieVent== 2" src="../../public/icons/Artboard 2 copy 19.svg"/>
          <img class="icon-64" v-else-if="categorieVent== 3" src="../../public/icons/Artboard 2 copy 18.svg"/>
          <img class="icon-64" v-else-if="categorieVent== 4" src="../../public/icons/Artboard 2 copy 17.svg"/>
          <br/>
                  <div @click="wind_speed_type=false" v-show="wind_speed_type" > {{ meteoActuelle.wind_speed }} <br/>km/h</div>
                  <div @click="wind_speed_type=true" v-show="wind_speed_type==false" > {{ (meteoActuelle.wind_speed/1.852).toFixed(2) }} <br/>noued</div>

        </span>

      </div>
    </div>
  </div>
</template>

<script>
export default {

  name: "DayCard",
  props: {
    meteoActuelle: {
      type: Object,
      required: true,
    },
    categorie: null,
    windSpeed: null,
    date: null,
    time: null,
    precipitation: null,
  },
  data() {
    return {
      dateActuelle: "",
      wind_speed_type: true,
      weather: null,
      temperature: null,
      categorieVent: null,
    };
  },
  methods: {
    convertWindSpeed(){
      if(this.wind_speed_type){
        this.meteoActuelle.windSpeed = this.meteoActuelle.windSpeed/1.852
      }
    },
    getWeatherCategory() {
      if (this.meteoActuelle.rain < 1 && this.meteoActuelle.cloud < 5) {
        this.weather = 1;
      } else if (this.meteoActuelle.rain < 1 && this.meteoActuelle.cloud > 5) {
        this.weather = 2;
      } else if (this.meteoActuelle.rain > 1 && this.meteoActuelle.rain < 10) {
        this.weather = 3;
      } else {
        this.weather = 4;
      }
    },
    getTemperature(){
        if(this.meteoActuelle.current_temperature >20){
            return this.temperature =1;
        }
        else if(this.meteoActuelle.current_temperature >10 && this.meteoActuelle.current_temperature <20){
            return this.temperature =2;
        }
        else if(this.meteoActuelle.current_temperature >0 && this.meteoActuelle.current_temperature <10){
            return this.temperature =3;
        }
        else if(this.meteoActuelle.current_temperature <0){
            return this.temperature =4;
        }
    },
    getVent() {
      if (this.meteoActuelle.wind_speed > 50) {
        return this.categorieVent = 1;
      } else if (this.meteoActuelle.wind_speed > 10 && this.meteoActuelle.wind_speed < 50) {
        return this.categorieVent = 2;
      } else if (this.meteoActuelle.wind_speed > 1 && this.meteoActuelle.wind_speed < 10) {
        return this.categorieVent = 3;
      } else if (this.meteoActuelle.wind_speed > 1) {
        return this.categorieVent = 4;
      }
    }

  },
  mounted() {
    //get the current time 
   
        this.getWeatherCategory() 
        this.getTemperature()
        this.getVent()
      this.dateActuelle=this.meteoActuelle.date.split(" ")[1].split(":")[0] +
      ":" +
      this.meteoActuelle.date.split(" ")[1].split(":")[1];
    
   
  },
};

</script>
